# Pump and motor sizing (fluids.pump)

`fluids.pump.``VFD_efficiency`(P, load=1)

  Returns the efficiency of a Variable Frequency Drive according to [R696]. These values are generic, and not standardized as minimum values. Older VFDs often have much worse performance.

  Parameters:

  P : float

  > Power, [W]

  load : float, optional

  > Fraction of motor’s rated electrical capacity being used

  Returns:

  efficiency : float

  > VFD efficiency, [-]

  Notes

  The use of a VFD does change the characteristics of a pump curve’s efficiency, but this has yet to be quantified. The effect is small. This value should be multiplied by the product of the pump and motor efficiency to determine the overall efficiency.

  Efficiency table is in units of hp, so a conversion is performed internally. If load not specified, assumed 1 - where maximum efficiency occurs. Table extends down to 3 hp and up to 400 hp; values outside these limits are rounded to the nearest known value. Values between standardized sizes are interpolated linearly. Load values extend down to 0.016.

  The table used is for Pulse Width Modulation (PWM) VFDs.

  References

  [R696] | (1, 2) GoHz.com. Variable Frequency Drive Efficiency. http://www.variablefrequencydrive.org/vfd-efficiency

  Examples

      >>> VFD_efficiency(10*hp)
      0.96
      >>> VFD_efficiency(100*hp, load=0.2)
      0.92

`fluids.pump.``CSA_motor_efficiency`(P, closed=False, poles=2, high_efficiency=False)

  Returns the efficiency of a NEMA motor according to [R697]. These values are standards, but are only for full-load operation.

  Parameters:

  P : float

  > Power, [W]

  closed : bool, optional

  > Whether or not the motor is enclosed

  poles : int, optional

  > The number of poles of the motor

  high_efficiency : bool, optional

  > Whether or not to look up the high-efficiency value

  Returns:

  efficiency : float

  > Guaranteed full-load motor efficiency, [-]

  Notes

  Criteria for being required to meet the high-efficiency standard is:

  - Designed for continuous operation
  - Operates by three-phase induction
  - Is a squirrel-cage or cage design
  - Is NEMA type A, B, or C with T or U frame; or IEC design N or H
  - Is designed for single-speed operation
  - Has a nominal voltage of less than 600 V AC
  - Has a nominal frequency of 60 Hz or 50/60 Hz
  - Has 2, 4, or 6 pole construction
  - Is either open or closed

  Pretty much every motor is required to meet the low-standard efficiency table, however.

  Several low-efficiency standard high power values were added to allow for easy programming; values are the last listed efficiency in the table.

  References

  [R697] | (1, 2) Natural Resources Canada. Electric Motors (1 to 500 HP/0.746 to 375 kW). As modified 2015-12-17. https://www.nrcan.gc.ca/energy/regulations-codes-standards/products/6885

  Examples

      >>> CSA_motor_efficiency(100*hp)
      0.93
      >>> CSA_motor_efficiency(100*hp, closed=True, poles=6, high_efficiency=True)
      0.95

`fluids.pump.``motor_efficiency_underloaded`(P, load=0.5)

  Returns the efficiency of a motor operating under its design power according to [R698].These values are generic; manufacturers usually list 4 points on their product information, but full-scale data is hard to find and not regulated.

  Parameters:

  P : float

  > Power, [W]

  load : float, optional

  > Fraction of motor’s rated electrical capacity being used

  Returns:

  efficiency : float

  > Motor efficiency, [-]

  Notes

  If the efficiency returned by this function is unattractive, use a VFD. The curves used here are polynomial fits to [R698]’s graph, and curves were available for the following motor power ranges: 0-1 hp, 1.5-5 hp, 10 hp, 15-25 hp, 30-60 hp, 75-100 hp If above the upper limit of one range, the next value is returned.

  References

  [R698] | (1, 2, 3) Washington State Energy Office. Energy-Efficient Electric Motor Selection Handbook. 1993.

  Examples

      >>> motor_efficiency_underloaded(1*hp)
      0.8705179600980149
      >>> motor_efficiency_underloaded(10.1*hp,  .1)
      0.6728425932357025

`fluids.pump.``Corripio_pump_efficiency`(Q)

  Estimates pump efficiency using the method in Corripio (1982) as shown in [R699] and originally in [R700]. Estimation only

  \[\eta_P = -0.316 + 0.24015\ln(Q) - 0.01199\ln(Q)^2\]

  Parameters:

  Q : float

  > Volumetric flow rate, [m^3/s]

  Returns:

  efficiency : float

  > Pump efficiency, [-]

  Notes

  For Centrifugal pumps only. Range is 50 to 5000 GPM, but input variable is in metric. Values above this range and below this range will go negative, although small deviations are acceptable. Example 16.5 in [R699].

  References

  [R699] | (1, 2, 3) Seider, Warren D., J. D. Seader, and Daniel R. Lewin. Product and Process Design Principles: Synthesis, Analysis, and Evaluation. 2 edition. New York: Wiley, 2003.

  [R700] | (1, 2) Corripio, A.B., K.S. Chrien, and L.B. Evans, “Estimate Costs of Centrifugal Pumps and Electric Motors,” Chem. Eng., 89, 115-118, February 22 (1982).

  Examples

      >>> Corripio_pump_efficiency(461./15850.323)
      0.705888867095162

`fluids.pump.``Corripio_motor_efficiency`(P)

  Estimates motor efficiency using the method in Corripio (1982) as shown in [R701] and originally in [R702]. Estimation only.

  \[\eta_M = 0.8 + 0.0319\ln(P_B) - 0.00182\ln(P_B)^2\]

  Parameters:

  P : float

  > Power, [W]

  Returns:

  efficiency : float

  > Motor efficiency, [-]

  Notes

  Example 16.5 in [R701].

  References

  [R701] | (1, 2, 3) Seider, Warren D., J. D. Seader, and Daniel R. Lewin. Product and Process Design Principles: Synthesis, Analysis, and Evaluation. 2 edition. New York: Wiley, 2003.

  [R702] | (1, 2) Corripio, A.B., K.S. Chrien, and L.B. Evans, “Estimate Costs of Centrifugal Pumps and Electric Motors,” Chem. Eng., 89, 115-118, February 22 (1982).

  Examples

      >>> Corripio_motor_efficiency(137*745.7)
      0.9128920875679222

`fluids.pump.``specific_speed`(Q, H, n=3600.0)

  Returns the specific speed of a pump operating at a specified Q, H, and n.

  \[n_S = \frac{n\sqrt{Q}}{H^{0.75}}\]

  Parameters:

  Q : float

  > Flow rate, [m^3/s]

  H : float

  > Head generated by the pump, [m]

  n : float, optional

  > Speed of pump [rpm]

  Returns:

  nS : float

  > Specific Speed, [rpm*m^0.75/s^0.5]

  Notes

  Defined at the BEP, with maximum fitting diameter impeller, at a given rotational speed.

  References

  [R703] | (1, 2) HI 1.3 Rotodynamic Centrifugal Pumps for Design and Applications

  Examples

  Example from [R703].

      >>> specific_speed(0.0402, 100, 3550)
      22.50823182748925

`fluids.pump.``specific_diameter`(Q, H, D)

  Returns the specific diameter of a pump operating at a specified Q, H, and D.

  \[D_s = \frac{DH^{1/4}}{\sqrt{Q}}\]

  Parameters:

  Q : float

  > Flow rate, [m^3/s]

  H : float

  > Head generated by the pump, [m]

  D : float

  > Pump impeller diameter [m]

  Returns:

  Ds : float

  > Specific diameter, [m^0.25/s^0.5]

  Notes

  Used in certain pump sizing calculations.

  References

  [R704] | Green, Don, and Robert Perry. Perry’s Chemical Engineers’ Handbook, Eighth Edition. McGraw-Hill Professional, 2007.

  Examples

      >>> specific_diameter(Q=0.1, H=10., D=0.1)
      0.5623413251903491

`fluids.pump.``speed_synchronous`(f, poles=2, phase=3)

  Returns the synchronous speed of a synchronous motor according to [R705].

  \[N_s = \frac{120 f \cdot\text{phase}}{\text{poles}}\]

  Parameters:

  f : float

  > Line frequency, [Hz]

  poles : int, optional

  > The number of poles of the motor

  phase : int, optional

  > Line AC phase

  Returns:

  Ns : float

  > Speed of synchronous motor, [rpm]

  Notes

  Synchronous motors have no slip. Large synchronous motors are not self-starting.

  References

  [R705] | (1, 2) All About Circuits. Synchronous Motors. Chapter 13 - AC Motors http://www.allaboutcircuits.com/textbook/alternating-current/chpt-13/synchronous-motors/

  Examples

      >>> speed_synchronous(50, poles=12)
      1500.0
      >>> speed_synchronous(60, phase=1)
      3600.0

`fluids.pump.``nema_sizes` = [186.42496789556753, 248.5666238607567, 372.84993579113507, 559.2749036867026, 745.6998715822701, 1118.5498073734052, 1491.3997431645403, 2237.0996147468104, 2982.7994863290805, 3728.4993579113507, 4101.349293702486, 5592.749036867026, 7456.998715822701, 11185.498073734052, 14913.997431645403, 18642.496789556753, 22370.996147468104, 29827.994863290805, 37284.99357911351, 44741.99229493621, 55927.49036867026, 74569.98715822701, 93212.48394778377, 111854.98073734052, 130497.47752689727, 149139.97431645403, 186424.96789556753, 223709.96147468104, 260994.95505379455, 298279.94863290805, 335564.94221202156, 372849.93579113507]

  list: all NEMA motor sizes in increasing order, in Watts.

`fluids.pump.``nema_sizes_hp` = [0.25, 0.3333333333333333, 0.5, 0.75, 1.0, 1.5, 2.0, 3.0, 4.0, 5.0, 5.5, 7.5, 10.0, 15.0, 20.0, 25.0, 30.0, 40.0, 50.0, 60.0, 75.0, 100.0, 125.0, 150.0, 175.0, 200.0, 250.0, 300.0, 350.0, 400.0, 450.0, 500.0]

  list: all NEMA motor sizes in increasing order, in horsepower.

`fluids.pump.``motor_round_size`(P)

  Rounds up the power for a motor to the nearest NEMA standard power. The returned power is always larger or equal to the input power.

  Parameters:

  P : float

  > Power, [W]

  Returns:

  P_actual : float

  > Actual power, equal to or larger than input [W]

  Notes

  An exception is raised if the power required is larger than any of the NEMA sizes. Larger motors are available, but are unstandardized.

  References

  [R706] | Natural Resources Canada. Electric Motors (1 to 500 HP/0.746 to 375 kW). As modified 2015-12-17. https://www.nrcan.gc.ca/energy/regulations-codes-standards/products/6885

  Examples

      >>> motor_round_size(1E5)
      111854.98073734052

`fluids.pump.``current_ideal`(P, V, phase=3, PF=1)

  Returns the current drawn by a motor of power P operating at voltage V, with line AC of phase phase and power factor PF according to [R707].

  Single-phase power:

  \[I = \frac{P}{V \cdot \text{PF}}\]

  3-phase power:

  \[I = \frac{P}{V \cdot \text{PF} \sqrt{3}}\]

  Parameters:

  P : float

  > Power, [W]

  V : float

  > Voltage, [V]

  phase : int, optional

  > Line AC phase, either 1 or 3

  PF : float, optional

  > Power factor of motor

  Returns:

  I : float

  > Power drawn by motor, [A]

  Notes

  Does not include power used by the motor’s fan, or startor, or internal losses. These are all significant.

  References

  [R707] | (1, 2) Electrical Construction, and Maintenance. “Calculating Single- and 3-Phase Parameters.” April 1, 2008. http://ecmweb.com/basics/calculating-single-and-3-phase-parameters.

  Examples

      >>> current_ideal(V=120, P=1E4, PF=1, phase=1)
      83.33333333333333